class TasksController < ApplicationController
  before_action :set_task, only: [:show, :edit, :update, :destroy]

  # GET /tasks
  # GET /tasks.json
  def index
    #@tasks = Task.all
    t1 = Task.new
    t1.id = 1
    t1.deadline = Time.now + 1.week
    t1.title = 'Porszivozas'
    t1.state = 0
    t1.description = 'Lattad a szoba sarkat?'
    t2 = Task.new
    t2.id = 2
    t2.deadline = Time.now + 1.day
    t2.title = 'Mosogatas'
    t2.state = 0
    t2.description = 'Ehes vagyok, es nincs tanyer'
    @tasks = [ t1, t2 ]
  end

  # GET /tasks/1
  # GET /tasks/1.json
  def show
    t1 = Task.new
    t1.id = 1
    t1.deadline = Time.now + 1.week
    t1.title = 'Porszivozas'
    t1.state = 0
    t1.description = 'Lattad a szoba sarkat?'
    @task = t1
  end

  # GET /tasks/new
  def new
    @task = Task.new
  end

  # GET /tasks/1/edit
  def edit
    t1 = Task.new
    t1.id = 1
    t1.deadline = Time.now + 1.week
    t1.title = 'Porszivozas'
    t1.state = 0
    t1.description = 'Lattad a szoba sarkat?'
    @task = t1
  end

  # POST /tasks
  # POST /tasks.json
  def create
    @task = Task.new(task_params)

    respond_to do |format|
      if @task.save
        format.html { redirect_to @task, notice: 'Task was successfully created.' }
        format.json { render action: 'show', status: :created, location: @task }
      else
        format.html { render action: 'new' }
        format.json { render json: @task.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /tasks/1
  # PATCH/PUT /tasks/1.json
  def update
    respond_to do |format|
      if @task.update(task_params)
        format.html { redirect_to @task, notice: 'Task was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: 'edit' }
        format.json { render json: @task.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /tasks/1
  # DELETE /tasks/1.json
  def destroy
    @task.destroy
    respond_to do |format|
      format.html { redirect_to tasks_url }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_task
      #@task = Task.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def task_params
      params.require(:task).permit(:deadline, :title, :user_id, :state)
    end
end
